<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

$system_info = strtolower($_SERVER['HTTP_USER_AGENT']);

if(strpos($system_info, "windows") !== false){
  echo("Twój system to Windows.");
}
else if(strpos($system_info, "linux") !== false){
  echo("Twój system to Linux.");
}
else if(strpos($system_info, "mac") !== false){
  echo("Twój system to MacOS.");
}
else{
  echo("Nieznany typ systemu operacyjnego.");
}
?>